## AgsFxSF2SynthAudio

AgsFxSF2SynthAudio — fx Soundfont2 synth audio

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsFxSF2SynthAudioScopeData * | ags_fx_sf2_synth_audio_scope_data_alloc ()
void | ags_fx_sf2_synth_audio_scope_data_free ()
AgsFxSF2SynthAudioChannelData * | ags_fx_sf2_synth_audio_channel_data_alloc ()
void | ags_fx_sf2_synth_audio_channel_data_free ()
AgsFxSF2SynthAudioInputData * | ags_fx_sf2_synth_audio_input_data_alloc ()
void | ags_fx_sf2_synth_audio_input_data_free ()
AgsFxSF2SynthAudio * | ags_fx_sf2_synth_audio_new ()

## Properties

AgsPort * | chorus-delay | Read / Write
AgsPort * | chorus-depth | Read / Write
AgsPort * | chorus-enabled | Read / Write
AgsPort * | chorus-input-volume | Read / Write
AgsPort * | chorus-lfo-frequency | Read / Write
AgsPort * | chorus-lfo-oscillator | Read / Write
AgsPort * | chorus-mix | Read / Write
AgsPort * | chorus-output-volume | Read / Write
AgsPort * | chorus-pitch-type | Read / Write
AgsPort * | synth-key | Read / Write
AgsPort * | synth-octave | Read / Write
AgsPort * | synth-pitch-type | Read / Write
AgsPort * | synth-volume | Read / Write
AgsPort * | vibrato-enabled | Read / Write
AgsPort * | vibrato-gain | Read / Write
AgsPort * | vibrato-lfo-depth | Read / Write
AgsPort * | vibrato-lfo-freq | Read / Write
AgsPort * | vibrato-tuning | Read / Write
AgsPort * | chorus-delay | Read / Write
AgsPort * | chorus-depth | Read / Write
AgsPort * | chorus-enabled | Read / Write
AgsPort * | chorus-input-volume | Read / Write
AgsPort * | chorus-lfo-frequency | Read / Write
AgsPort * | chorus-lfo-oscillator | Read / Write
AgsPort * | chorus-mix | Read / Write
AgsPort * | chorus-output-volume | Read / Write
AgsPort * | chorus-pitch-type | Read / Write
AgsPort * | synth-key | Read / Write
AgsPort * | synth-octave | Read / Write
AgsPort * | synth-pitch-type | Read / Write
AgsPort * | synth-volume | Read / Write
AgsPort * | vibrato-enabled | Read / Write
AgsPort * | vibrato-gain | Read / Write
AgsPort * | vibrato-lfo-depth | Read / Write
AgsPort * | vibrato-lfo-freq | Read / Write
AgsPort * | vibrato-tuning | Read / Write

## Types and Values

#define | AGS_FX_SF2_SYNTH_AUDIO_DEFAULT_BUFFER_SIZE
struct | AgsFxSF2SynthAudioScopeData
struct | AgsFxSF2SynthAudioChannelData
struct | AgsFxSF2SynthAudioInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallAudio
                ╰── AgsFxNotationAudio
                    ╰── AgsFxSF2SynthAudio

## Includes

    #include <ags/audio/fx/ags_fx_sf2_synth_audio.h>

## Description

The AgsFxSF2SynthAudio class provides ports to the effect processor.

## Functions

### ags_fx_sf2_synth_audio_scope_data_alloc ()

    AgsFxSF2SynthAudioScopeData *
    ags_fx_sf2_synth_audio_scope_data_alloc
                                   ();

Allocate AgsFxSF2SynthAudioScopeData

#### Returns

the new AgsFxSF2SynthAudioScopeData

Since: 3.16.0

### ags_fx_sf2_synth_audio_scope_data_free ()

    void
    ags_fx_sf2_synth_audio_scope_data_free
                                   (AgsFxSF2SynthAudioScopeData *scope_data);

Free `scope_data` .

#### Parameters

scope_data | the AgsFxSF2SynthAudioScopeData |

Since: 3.16.0

### ags_fx_sf2_synth_audio_channel_data_alloc ()

    AgsFxSF2SynthAudioChannelData *
    ags_fx_sf2_synth_audio_channel_data_alloc
                                   ();

Allocate AgsFxSF2SynthAudioChannelData

#### Returns

the new AgsFxSF2SynthAudioChannelData

Since: 3.16.0

### ags_fx_sf2_synth_audio_channel_data_free ()

    void
    ags_fx_sf2_synth_audio_channel_data_free
                                   (AgsFxSF2SynthAudioChannelData *channel_data);

Free `channel_data` .

#### Parameters

channel_data | the AgsFxSF2SynthAudioChannelData |

Since: 3.16.0

### ags_fx_sf2_synth_audio_input_data_alloc ()

    AgsFxSF2SynthAudioInputData *
    ags_fx_sf2_synth_audio_input_data_alloc
                                   ();

Allocate AgsFxSF2SynthAudioInputData

#### Returns

the new AgsFxSF2SynthAudioInputData

Since: 3.16.0

### ags_fx_sf2_synth_audio_input_data_free ()

    void
    ags_fx_sf2_synth_audio_input_data_free
                                   (AgsFxSF2SynthAudioInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxSF2SynthAudioInputData |

Since: 3.16.0

### ags_fx_sf2_synth_audio_new ()

    AgsFxSF2SynthAudio *
    ags_fx_sf2_synth_audio_new (AgsAudio *audio);

Create a new instance of AgsFxSF2SynthAudio

#### Parameters

audio | the AgsAudio |

#### Returns

the new AgsFxSF2SynthAudio

Since: 3.16.0

## Types and Values

### AGS_FX_SF2_SYNTH_AUDIO_DEFAULT_BUFFER_SIZE

    #define AGS_FX_SF2_SYNTH_AUDIO_DEFAULT_BUFFER_SIZE (65536)

### struct AgsFxSF2SynthAudioScopeData

    struct AgsFxSF2SynthAudioScopeData {
      GRecMutex strct_mutex;

      gpointer parent;

      guint audio_channels;

      AgsFxSF2SynthAudioChannelData **channel_data;
    };

### struct AgsFxSF2SynthAudioChannelData

    struct AgsFxSF2SynthAudioChannelData {
      GRecMutex strct_mutex;

      gpointer parent;

      AgsSF2SynthUtil *synth;

      AgsChorusUtil *chorus_util;

      AgsFxSF2SynthAudioInputData* input_data[AGS_SEQUENCER_MAX_MIDI_KEYS];
    };

### struct AgsFxSF2SynthAudioInputData

    struct AgsFxSF2SynthAudioInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      guint key_on;
    };

## Property Details

### The `“chorus-delay”` property

      “chorus-delay”             AgsPort *

The chorus delay.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-depth”` property

      “chorus-depth”             AgsPort *

The chorus depth.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-enabled”` property

      “chorus-enabled”           AgsPort *

The chorus enabled.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-input-volume”` property

      “chorus-input-volume”      AgsPort *

The chorus input volume.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-lfo-frequency”` property

      “chorus-lfo-frequency”     AgsPort *

The chorus lfo frequency.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-lfo-oscillator”` property

      “chorus-lfo-oscillator”    AgsPort *

The chorus lfo oscillator.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-mix”` property

      “chorus-mix”               AgsPort *

The chorus mix.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-output-volume”` property

      “chorus-output-volume”     AgsPort *

The chorus output volume.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-pitch-type”` property

      “chorus-pitch-type”        AgsPort *

The chorus's pitch type.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 4.0.0

### The `“synth-key”` property

      “synth-key”                AgsPort *

The synth key.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“synth-octave”` property

      “synth-octave”             AgsPort *

The synth octave.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“synth-pitch-type”` property

      “synth-pitch-type”         AgsPort *

The synth's pitch type.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 4.0.0

### The `“synth-volume”` property

      “synth-volume”             AgsPort *

The synth volume.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“vibrato-enabled”` property

      “vibrato-enabled”          AgsPort *

The vibrato enabled.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-gain”` property

      “vibrato-gain”             AgsPort *

The vibrato gain.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-lfo-depth”` property

      “vibrato-lfo-depth”        AgsPort *

The vibrato LFO depth.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-lfo-freq”` property

      “vibrato-lfo-freq”         AgsPort *

The vibrato LFO freq.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-tuning”` property

      “vibrato-tuning”           AgsPort *

The vibrato tuning.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“chorus-delay”` property

      “chorus-delay”             AgsPort *

The chorus delay.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-depth”` property

      “chorus-depth”             AgsPort *

The chorus depth.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-enabled”` property

      “chorus-enabled”           AgsPort *

The chorus enabled.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-input-volume”` property

      “chorus-input-volume”      AgsPort *

The chorus input volume.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-lfo-frequency”` property

      “chorus-lfo-frequency”     AgsPort *

The chorus lfo frequency.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-lfo-oscillator”` property

      “chorus-lfo-oscillator”    AgsPort *

The chorus lfo oscillator.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-mix”` property

      “chorus-mix”               AgsPort *

The chorus mix.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-output-volume”` property

      “chorus-output-volume”     AgsPort *

The chorus output volume.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“chorus-pitch-type”` property

      “chorus-pitch-type”        AgsPort *

The chorus's pitch type.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 4.0.0

### The `“synth-key”` property

      “synth-key”                AgsPort *

The synth key.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“synth-octave”` property

      “synth-octave”             AgsPort *

The synth octave.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“synth-pitch-type”` property

      “synth-pitch-type”         AgsPort *

The synth's pitch type.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 4.0.0

### The `“synth-volume”` property

      “synth-volume”             AgsPort *

The synth volume.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 3.16.0

### The `“vibrato-enabled”` property

      “vibrato-enabled”          AgsPort *

The vibrato enabled.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-gain”` property

      “vibrato-gain”             AgsPort *

The vibrato gain.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-lfo-depth”` property

      “vibrato-lfo-depth”        AgsPort *

The vibrato LFO depth.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-lfo-freq”` property

      “vibrato-lfo-freq”         AgsPort *

The vibrato LFO freq.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0

### The `“vibrato-tuning”` property

      “vibrato-tuning”           AgsPort *

The vibrato tuning.

Owner: AgsFxSF2SynthAudio

Flags: Read / Write

Since: 5.2.0